Ask Your Question
0

error processing package cinder-common

asked 2015-04-04 00:48:16 -0500

pandiarajan.s gravatar image

Hi All,

I am installing Icehouse on Ubuntu 12.04.. When I trying to install Cinder-api as per the install guide, I am seeing the same error with the latest package. Following is the output:

root@ubuntu:/home/openstack# apt-get install cinder-api cinder-scheduler

Reading package lists... Done Building dependency tree Reading state information... Done cinder-api is already the newest version. cinder-scheduler is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 3 not fully installed or removed. After this operation, 0 B of additional disk space will be used. Do you want to continue [Y/n]? y

Setting up cinder-common (1:2014.1.3-0ubuntu1~cloud0) ... /usr/local/lib/python2.7/dist-packages/oslo_messaging/openstack/common/versionutils.py:25: UserWarning: Module argparse was already imported from /usr/lib/python2.7/argparse.pyc, but /usr/local/lib/python2.7/dist-packages is being added to sys.path import pkg_resources Traceback (most recent call last):

File "/usr/bin/cinder-manage", line 561, in <module> main()

File "/usr/bin/cinder-manage", line 541, in main version=version.version_string())

File "/usr/local/lib/python2.7/dist-packages/oslo_config/cfg.py", line 1851, in __call__ else sys.argv[1:])

File "/usr/local/lib/python2.7/dist-packages/oslo_config/cfg.py", line 2418, in _parse_cli_opts opt._add_to_cli(self._oparser, group)

File "/usr/local/lib/python2.7/dist-packages/oslo_config/cfg.py", line 1179, in _add_to_cli self.handler(subparsers)

File "/usr/bin/cinder-manage", line 477, in add_command_parsers command_object = CATEGORIEScategory

File "/usr/bin/cinder-manage", line 250, in __init__ rpc.init(CONF)

File "/usr/lib/python2.7/dist-packages/cinder/rpc.py", line 63, in init aliases=TRANSPORT_ALIASES)

File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/transport.py", line 188, in get_transport raise DriverLoadFailure(url.transport, ex)

oslo_messaging.transport.DriverLoadFailure: Failed to load transport driver "rabbit": No 'oslo.messaging.drivers' driver

found, looking for 'rabbit'

dpkg: error processing cinder-common (--configure):

subprocess installed post-installation script returned error exit status 1

dpkg: dependency problems prevent configuration of cinder-api:

cinder-api depends on cinder-common (= 1:2014.1.3-0ubuntu1~cloud0); however:

Package cinder-common is not configured yet.

dpkg: error processing cinder-api (--configure):

dependency problems - leaving unconfigured

dpkg: dependency problems prevent configuration of cinder-scheduler:

cinder-scheduler depends on cinder-common (= 1:2014.1.3-0ubuntu1~cloud0); however:

Package cinder-common is not configured yet.

dpkg: error processing cinder-scheduler (--configure):

dependency problems - leaving unconfigured

No apport report written because the error message indicates its a followup error from a previous failure.

No apport report written because the error message indicates its a followup error from a previous failure.

Errors were encountered while processing:

cinder-common

cinder-api

cinder-scheduler

E: Sub-process /usr/bin/dpkg returned an error code (1)

Also i have tried this, update oslo.messaging and then install cinder-api an cinder-scheduler, this also not solves the problem..

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-04-06 03:51:22 -0500

mohsin gravatar image

Ubuntu 12.04 No longer supported install 14.04LTS

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-04-04 00:48:16 -0500

Seen: 278 times

Last updated: Apr 06 '15